#
# Copyright (C) 2021 MicroSys Electronics GmbH
#
RDEPENDS_udev-rules-qoriq += "perl"

FILESEXTRAPATHS_prepend := "${THISDIR}/${PN}:"

SRC_URI += "\
	file://80-microsys-networking.rules \
	file://73-fsl-dpaa-persistent-networking.rules \
	file://eth-dpmac \
"
S = "${WORKDIR}"
RULE_mpxls1088crx05 = "80-microsys-networking.rules"
RULE_mpxls1088crx06 = "80-microsys-networking.rules"
RULE_mpxls1088crx06qsgmii = "80-microsys-networking.rules"
RULE_qoriq-arm64 = "80-microsys-networking.rules 73-fsl-dpaa-persistent-networking.rules"

do_install () {
    install -d ${D}${sysconfdir}/udev/rules.d/
    for r in ${RULE};do
        install -m 0644 ${WORKDIR}/${r} ${D}${sysconfdir}/udev/rules.d/
    done

    install -d ${D}${bindir}
    install -m 0755 eth-dpmac ${D}${bindir}


}

ALLOW_EMPTY_${PN} = "1"

COMPATIBLE_MACHINE = "(qoriq)"
PACKAGE_ARCH = "${MACHINE_SOCARCH}"

